# see https://symfony.com/doc/current/reference/configuration/framework.html
framework:
    secret: '%env(APP_SECRET)%'
    #csrf_protection: true
    annotations: false
    http_method_override: false
    handle_all_throwables: true

    # Enables session support. Note that the session will ONLY be started if you read or write from it.
    # Remove or comment this section to explicitly disable session support.
    session:
        handler_id: null
        cookie_secure: auto
        cookie_samesite: lax

    #esi: true
    #fragments: true
    php_errors:
        log: true
    assets:
        packages:
            app_public:
                base_path: /
            image:
                base_path: /image
            document:
                base_path: /document
    http_client:
        scoped_clients:
            # only requests matching scope will use these options
            verifone.client:
                base_uri: '%env(VERIFONE_URL)%'
            agent_commercial.client:
                base_uri: '%fnac_api_url%'
                headers:
                    Authorization: 'Bearer %fnac_api_token%'
            geo_api_gouv_fr.client:
                base_uri: '%geo_api_gouv_fr_url%'

    trusted_proxies: '127.0.0.1,REMOTE_ADDR'
    trusted_headers:
        - forwarded
        - x-forwarded-for
        - x-forwarded-host
        - x-forwarded-proto
        - x-forwarded-port
when@test:
    framework:
        test: true
        session:
            storage_factory_id: session.storage.factory.mock_file
